# Overview

This charm deploys and manages the "Mailman Core" component of mailman3.
"Mailman Core" or "Core" is the main engine that is responsible for handling
emails.  It does all the tasks of managing users, subscriptions, mailing
lists, email addresses, talking to the MTA etc. However, the things that it
doesn't manage include user authorization & user authentication.

However, users can manage their settings using email based commands which
includes subscribing, unsubscribing, changing a few basic settings for their
accounts etc.

Most functionalities in Core can be accessed using an administrative REST API
which provides full control over the Core. Core expects the clients that
consume this API would take up the responsibility of authenticating and
authorizing users and provide interfaces for them to manage their settings and
subscriptions.
